Subject: Re: git-cvsimport - losing changes in subsequent pulls of a CVS branch that I thought I wasn't modifying in the GIT repo.

From: Michael Haggerty <[email-masked]>
Date: Wed, 20 Aug 2008 09:47:09 +0200

Pete/Piet Delaney wrote:
> Michael Haggerty wrote:
>> If this is a one-time conversion (i.e., you don't need to actively track
>> a live CVS repository), then I suggest that you try cvs2svn/cvs2git [1].
> [...]
> 
>   How does your proposed cvs2git facility deal with importing on top
> of branches that have been modified?

cvs2svn/cvs2git does not support this (called "incremental imports").
It is quite hard to implement robustly.  In fact, I claim that no tool
handles incremental imports robustly, despite the fact that some claim
to do so :-)

Michael